
Foreman - Bug #13040

Test connection button does not load server SSL cert

01/07/2016 06:50 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Compute resources - oVirt   

Target version: 1.10.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3027

  

Description

This is because the exception is not in different format due to OpenSSL library change (?):

SSL_connect returned=1 errno=0 state=error: certificate verify failed

 We are expecting only

SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed

Associated revisions

Revision 798e4a04 - 01/07/2016 10:27 AM - Lukas Zapletal

Fixes #13040 - oVirt now autoloads SSL certificate

Revision d51f8fe7 - 01/19/2016 09:18 AM - Lukas Zapletal

Fixes #13040 - oVirt now autoloads SSL certificate

(cherry picked from commit 798e4a04db5ae2bcae9aaccfcf3a7ab9e17941cc)

History

#1 - 01/07/2016 06:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3027 added

#2 - 01/07/2016 10:41 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#3 - 01/07/2016 11:02 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 798e4a04db5ae2bcae9aaccfcf3a7ab9e17941cc.
